plugins {
    id 'application'
    id 'org.openjfx.javafxplugin' version '0.1.0'
}

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(21)
    }
}

javafx {
    version = '21'
    modules = ['javafx.controls']
}

application {
    mainClass = 'com.foxx.androidcast.studio.SessionStudioApp'
}

dependencies {
    implementation 'org.json:json:20240303'
}
